> For the complete documentation index, see [llms.txt](https://docs.moxha.dev/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.moxha.dev/documentation/paid-scripts/surround-spatial-audio/api/client/set.md).

# Set

### Set Volume

```lua
exports['mx-surround']:setVolumeMax(soundId, volume, disableOverWrite)
```

#### Parameters

* > **soundId:** `string`
* > **volume:** `number`
* > **disableOverWrite?:** `boolean`
  >
  > * If true, volume will not be overwritten by sound profile

***

### Set Streamer Mode

```lua
exports['mx-surround']:setStreamerMode(bool)
```

#### Parameters

* > **bool:** `boolean`

***

### Set Type

```lua
exports['mx-surround']:setStereoMode(soundId, stereo)
```

#### Parameters

* > **soundId:** `string`
* > **stereo:** `boolean`
  >
  > * If this is false, it will be spatial (3D)

***

### Set Panner

```lua
exports['mx-surround']:setPanner(soundId, panner)
```

#### Parameters

* > **soundId:** `string`
* > **panner:** `PannerNode`
  >
  > * [See](https://developer.mozilla.org/en-US/docs/Web/API/PannerNode?retiredLocale=tr)

***

### Set Coords

```lua
exports['mx-surround']:setCoords(soundId, coords, xSound)
```

#### Parameters

* > **soundId:** `string`
* > **coords:** `vector3`
* > **xSound?:** `boolean`

***

### Set TimeStamp

```lua
exports['mx-surround']:setTimeStamp(soundId, timeStamp)
```

#### Parameters

* > **soundId:** `string`
* > **timeStamp:** `number`

***

### Set Loop

```lua
exports['mx-surround']:setLoop(soundId, loop)
```

#### Parameters

* > **soundId:** `string`
* > **loop:** `boolean`

***

### Set Max Distance

```lua
exports['mx-surround']:setMaxDistance(soundId, maxDistance)
```

#### Parameters

* > **soundId:** `string`
* > **maxDistance:** `number`

***

### Set Destroy On Finish

```lua
exports['mx-surround']:setDestroyOnFinish(soundId, destroyOnFinish)
```

#### Parameters

* > **soundId:** `string`
* > **destroyOnFinish:** `boolean`<br>

***

### Disable Interior Filter

It allows you to disable or enable effects that make sound appear to come from within an interior. If you are playing small sounds like stove sounds in a interior, it will also disable the feature that plays them in stereo rather than 3D. Therefore, it is very useful for particle sounds.

```lua
exports['mx-surround']:setDisableInteriorFilter(soundId, disableFilter)
```

#### Parameters

* > **soundId:** `string`
* > **disableFilter:** `boolean`

***

### Disable Vehicle Filter

```lua
exports['mx-surround']:setDisableVehicleFilter(soundId, disableFilter)
```

#### Parameters

* > **soundId:** `string`
* > **disableFilter:** `boolean`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.moxha.dev/documentation/paid-scripts/surround-spatial-audio/api/client/set.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
